import { jsx } from "react/jsx-runtime";
import { ScalesIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Scales = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Scales", ...props, children: /* @__PURE__ */ jsx(ScalesIcon, { weight: variant }) });
  }
);
Scales.displayName = "Scales";
Object.assign(Scales, { isGdsIcon: true });
export {
  Scales
};
